org.jboss.netty.channel.socket.oio

## Class AbstractOioChannelSink

- java.lang.Object
- - org.jboss.netty.channel.AbstractChannelSink
  - - org.jboss.netty.channel.socket.oio.AbstractOioChannelSink

All Implemented Interfaces:
  ChannelSink

    public abstract class AbstractOioChannelSink
    extends AbstractChannelSink

### Constructor Summary

Constructors
Constructor and Description
`AbstractOioChannelSink()`

### Method Summary

Methods
`ChannelFuture` `execute(ChannelPipeline pipeline, Runnable task)` This implementation just directly call `Runnable.run()`.
`protected boolean` `isFireExceptionCaughtLater(ChannelEvent event, Throwable actualCause)` Returns `true` if and only if the specified `actualCause`, which was raised while handling the specified `event`, must trigger an `exceptionCaught()` event in an I/O thread.

### Methods inherited from class org.jboss.netty.channel.AbstractChannelSink

`exceptionCaught`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jboss.netty.channel.ChannelSink

`eventSunk`

### Constructor Detail

#### AbstractOioChannelSink

    public AbstractOioChannelSink()

### Method Detail

#### execute

    public ChannelFuture execute(ChannelPipeline pipeline,
                        Runnable task)

Description copied from class: `AbstractChannelSink`
This implementation just directly call `Runnable.run()`. Sub-classes should override this if they can handle it in a better way

Specified by:
  `execute` in interface `ChannelSink`
Overrides:
  `execute` in class `AbstractChannelSink`

#### isFireExceptionCaughtLater

    protected boolean isFireExceptionCaughtLater(ChannelEvent event,
                                     Throwable actualCause)

Description copied from class: `AbstractChannelSink`
Returns `true` if and only if the specified `actualCause`, which was raised while handling the specified `event`, must trigger an `exceptionCaught()` event in an I/O thread.

Overrides:
  `isFireExceptionCaughtLater` in class `AbstractChannelSink`
Parameters:
  `event` - the event which raised exception
  `actualCause` - the raised exception